<?php
//管理画面の外観にメニューの項目を表示する宣言
/*function register_menu()
{
    register_nav_menu('primary', __('Primary Menu', 'theme-slug'));
}
add_action('after_setup_theme', 'register_menu');*/

function mytheme_setup()
{
    //headタグ内にRSSフィードのURLを出力
    add_theme_support('automatic-feed-links');
    //テーマ側で有効化することでフロントに適用されるグーテンベルクのCSSを有効化
    add_theme_support('wp-block-styles');
    //縦横比を維持したレスポンシブを有効化
    add_theme_support('responsive-embeds');
    //テーマ製作者側で用意するCSSでブロックエディタに適用して使用するCSSを有効化＆ブロックエディタに読み込み
    add_theme_support('editor-styles');
    add_editor_style('editor-style.css');
    //ページのタイトルを有効化
    add_theme_support('title-tag');
    //配列の要素になっているタグのHTML5対応を有効化
    $html5 = ['style', 'script', 'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'];
    add_theme_support('html5', $html5);
    //アイキャッチ画像の機能を有効化
    add_theme_support('post-thumbnails');
    //アイキャッチ画像のサイズを指定する場合、画像を切り抜く（true）、縦横比を保って縮小する（false）。
    //set_post_thumnail_size(width,height,true or false);
    //グーテンベルクの全幅・幅広機能を有効化
    add_theme_support('align-wide');
    // ブロックベースのウィジェットを無効化（クラシックウィジェットに戻す）
    //remove_theme_support('widgets-block-editor');
    //メニューのロケーションを登録
    register_nav_menus(array(
        'primary' => 'ナビゲーション'
    ));
    //コンテンツ部分とメニュー部分の2段組みを有効化
    //add_theme_support('mycols');
}
add_action('after_setup_theme', 'mytheme_setup');

function mytheme_enqueue()
{
    //GoogleFontsを読み込み
    wp_enqueue_style('myfonts', 'https://fonts.googleapis.com/css2?family=Stick+No+Bills:wght@300;700&display=swap', array(), null);
    //ワードプレスに搭載されているアイコンフォント(Dashicons)のCSSを読み込み
    wp_enqueue_style('dashicons');
    //フロントに適用される、製作者が自ら用意するテーマのCSS（style.css）を読み込み
    wp_enqueue_style(
        'mytheme-style', //ハンドル名
        get_stylesheet_uri(), //テーマフォルダ内のstyle.cssのパスを取得
        array(), //依存関係にあるCSSが無い事を示すため
        date("ymdHis", filemtime(get_theme_file_path('style.css'))), //バージョン指定、style.cssを更新したらブラウザに読み直しをさせるため,style.cssの更新時刻をstyle.cssのバージョン情報に　変更点　date関数でfilemtimeで取得するファイル更新時間をUNIX時間から年月日時分秒に変更
        'all' //CSSのmedia属性の値
    );
}
add_action('wp_enqueue_scripts', 'mytheme_enqueue');

function mytheme_widgets()
{
    //ウィジェットエリアを登録
    register_sidebar(array(
        'id' => 'sidebar-1',
        'name' => 'フッターメニュー',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>'
    ));
}
add_action('widgets_init', 'mytheme_widgets');

//ブロックスタイルの追加
//画像ブロックのスタイルにカード型を追加
register_block_style(
    'core/image',
    array(
        'name' => 'mycard',
        'label' => 'カード型',
        'inline_style' => '
        .is-style-mycard{
            padding:10px;
            border:solid 1px gray;
            box-shadow:5px 5px 5px gray;
        }'
    )
);
//画像ブロックのスタイルにブック型を追加
register_block_style(
    'core/image',
    array(
        'name' => 'mybook',
        'label' => 'ブック型',
        'inline_style' => '
        .is-style-mybook{
            position:relative;
            box-shadow:10px 15px 22px -5px rgba(0,0,0,0.5),0 0 2px rgba(0,0,0,15);
            border-radius:4px;
        }
        .is-style-mybook:after{
            content:";
            position:absolute;
            top:0;
            right:0;
            bottom:0;
            left:0;
            background:linear-gradient(
                -90deg,
                rgba(255,255,255,0) 0%,
                rgba(255,255,255,0.1) 80%,
                rgba(255,255,255,0.4) 94%,
                rgba(255,255,255,0.5) 96%,
                rgba(255,255,255,0) 100%,
            );
        }
        .wp-block-image>a{
            display:block;
            line-height:0;
        }'
    )
);
//見出しブロックのスタイルに基本色のバーを追加
register_block_style(
    'core/heading',
    array(
        'name' => 'mybar',
        'label' => '基本色のバー',
        'inline_style' => '
        .is-style-mybar{
            border-left: solid 1.4rem var(--basecolor);
            padding-left: 1.4rem;
        }'
    )
);
